## tuxpaint-config 0.0.6

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,11 @@
 
 # http://www.newbreedsoftware.com/tuxpaint/
 
-# November 12, 2002 - September 4, 2004
+# November 12, 2002 - November 25, 2004
+
+
+VER_VERSION=0.0.6
+VER_DATE=`date +"%Y-%m-%d"`
 
 
 # Where to install things:
@@ -20,6 +24,7 @@
 # Program:
 
 BIN_PREFIX=$(PREFIX)/bin
+EXE_EXT=
 
 
 # Data:
@@ -71,7 +76,8 @@
 
 CFLAGS=-O2 -Wall $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
 	-D$(NOSOUNDFLAG) -DDOC_PREFIX=\"$(DOC_PREFIX)\" \
-	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\"
+	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\" \
+	-DVER_VERSION=\"$(VER_VERSION)\" -DVER_DATE=\"$(VER_DATE)\"
 
 
 # "make" with no arguments builds the program and man page from sources:
@@ -83,7 +89,51 @@
 	@echo "to install Tux Paint Configuration Tool."
 	@echo
 
-
+releaseclean:
+	@echo
+	@echo "Cleaning release directory"
+	@echo
+	@rm -rf "build/tuxpaint-config-$(VER_VERSION)" "build/tuxpaint-config-$(VER_VERSION).tar.gz"
+	@-if [ -d build ] ; then rmdir build ; fi
+
+releasedir: build/tuxpaint-config-$(VER_VERSION)
+
+build/tuxpaint-config-$(VER_VERSION):
+	@echo
+	@echo "Creating release directory"
+	@echo
+	@mkdir -p build/tuxpaint-config-$(VER_VERSION)
+	find . -follow \
+		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
+		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-config-$(VER_VERSION)/ \;
+
+release: releasedir
+	@echo
+	@echo "Creating release tarball"
+	@echo
+	@cd build ; \
+		tar -czvf tuxpaint-config-$(VER_VERSION).tar.gz \
+		tuxpaint-config-$(VER_VERSION)
+
+
+win32:
+	make \
+		EXE_EXT=.exe \
+		ICON_PREFIX=./ \
+		X11_ICON_PREFIX=./ \
+		CONFDIR=$(PREFIX)/etc/tuxpaint \
+		ARCH_LINKS="-lintl-3" \
+		ARCH_LIBS="obj/resource.o obj/win32utils.o"
+
+install-win32:
+	strip -s tuxpaint-config.exe
+	make install \
+		EXE_EXT=.exe \
+		ICON_PREFIX=./ \
+		X11_ICON_PREFIX=./ \
+		CONFDIR=$(PREFIX)/etc/tuxpaint \
+		ARCH_LINKS="-lintl-3" \
+		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 # "make install" installs all of the various parts
 # (depending on the *PREFIX variables at the top, you probably need
@@ -191,7 +241,7 @@
 	@echo
 	@echo "...Installing program itself..."
 	cp tuxpaint-config $(BIN_PREFIX)
-	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config
+	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config$(EXE_EXT)
 
 
 # Install the data (sound, graphics, fonts):
@@ -243,9 +293,10 @@
 # Build the program!
 
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
-			obj/defaults.o
+			obj/defaults.o $(ARCH_LIBS)
 	$(CXX) $(CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
-			obj/tuxpaint-config2.o obj/defaults.o $(FLTK_LIBS)
+			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
+			$(FLTK_LIBS) $(ARCH_LINKS)
 
 
 # Build the object for the program!
@@ -259,6 +310,14 @@
 obj/defaults.o:	src/defaults.cxx obj
 	$(CXX) $(CFLAGS) -c src/defaults.cxx -o obj/defaults.o
 
+obj/win32utils.o: src/win32utils.cxx obj src/win32utils.h
+	$(CXX) $(CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+
+obj/resource.o:	visualc/resource.rc obj visualc/resource.h
+	@echo
+	@echo "...Compiling win32 resources..."
+	@windres -i visualc/resource.rc -o obj/resource.o
+
 
 # Build the translation files for gettext
