## tuxpaint-config 0.0.7

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,11 @@
 
 # http://www.newbreedsoftware.com/tuxpaint/
 
-# November 12, 2002 - November 25, 2004
-
-
-VER_VERSION=0.0.6
+# November 12, 2002 - October 19, 2006
+# $Id: Makefile,v 1.19 2006/10/19 07:42:09 wkendrick Exp $
+
+
+VER_VERSION=0.0.7
 VER_DATE=`date +"%Y-%m-%d"`
 
 
@@ -72,9 +73,11 @@
 FLTK_CFLAGS=`fltk-config --cxxflags`
 FLTK_LIBS=`fltk-config --ldstaticflags`
 
+# Default CFLAGS:
+CFLAGS=-O2 -Wall
+
 # The entire set of CFLAGS:
-
-CFLAGS=-O2 -Wall $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
+ALL_CFLAGS=$(CFLAGS) $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
 	-D$(NOSOUNDFLAG) -DDOC_PREFIX=\"$(DOC_PREFIX)\" \
 	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\" \
 	-DVER_VERSION=\"$(VER_VERSION)\" -DVER_DATE=\"$(VER_DATE)\"
@@ -122,7 +125,7 @@
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS="-lintl-3" \
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
 		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 install-win32:
@@ -132,7 +135,7 @@
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS="-lintl-3" \
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
 		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 # "make install" installs all of the various parts
@@ -286,7 +289,7 @@
 	install -d $(MAN_PREFIX)/man1/
 	# tuxpaint-config.1
 	cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
-	gzip -f $(MAN_PREFIX)/man1/tuxpaint-config.1
+	gzip -9f $(MAN_PREFIX)/man1/tuxpaint-config.1
 	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
 
 
@@ -294,7 +297,7 @@
 
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
 			obj/defaults.o $(ARCH_LIBS)
-	$(CXX) $(CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
+	$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
 			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
 			$(FLTK_LIBS) $(ARCH_LINKS)
 
@@ -302,16 +305,16 @@
 # Build the object for the program!
 
 obj/tuxpaint-config.o:	src/tuxpaint-config.cxx obj src/version.h src/about.h
-	$(CXX) $(CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
 
 obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx obj src/version.h src/about.h
-	$(CXX) $(CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
 
 obj/defaults.o:	src/defaults.cxx obj
-	$(CXX) $(CFLAGS) -c src/defaults.cxx -o obj/defaults.o
+	$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
 
 obj/win32utils.o: src/win32utils.cxx obj src/win32utils.h
-	$(CXX) $(CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+	$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
 
 obj/resource.o:	visualc/resource.rc obj visualc/resource.h
 	@echo
