## tuxpaint-config 0.0.8

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,15 @@
 # Torsten Giebl <wizard@turricane.org>
 # Jan Wynholds
 # Bill Kendrick <bill@newbreedsoftware.com>
-
-# http://www.newbreedsoftware.com/tuxpaint/
-
-# November 12, 2002 - October 19, 2006
-# $Id: Makefile,v 1.19 2006/10/19 07:42:09 wkendrick Exp $
-
-
-VER_VERSION=0.0.7
+# Martin Fuhrer <mfuhrer@gmail.com>
+
+# http://www.tuxpaint.org/
+
+# November 12, 2002 - July 1, 2007
+# $Id: Makefile,v 1.28 2007/07/01 15:04:49 wkendrick Exp $
+
+
+VER_VERSION=0.0.8
 VER_DATE=`date +"%Y-%m-%d"`
 
 
@@ -71,7 +72,9 @@
 # Libraries, paths, and flags:
 
 FLTK_CFLAGS=`fltk-config --cxxflags`
-FLTK_LIBS=`fltk-config --ldstaticflags`
+#FLTK_LIBS=`fltk-config --ldstaticflags`
+FLTK_LIBS=`fltk-config --ldflags`
+PAPER_LIB=-lpaper
 
 # Default CFLAGS:
 CFLAGS=-O2 -Wall
@@ -106,7 +109,7 @@
 	@echo "Creating release directory"
 	@echo
 	@mkdir -p build/tuxpaint-config-$(VER_VERSION)
-	find . -follow \
+	@find . -follow \
 		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
 		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-config-$(VER_VERSION)/ \;
 
@@ -125,17 +128,18 @@
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
-		ARCH_LIBS="obj/resource.o obj/win32utils.o"
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-8"; fi ) \
+		ARCH_LIBS="obj/resource.o obj/win32utils.o" \
+		PAPER_LIB= 
 
 install-win32:
-	strip -s tuxpaint-config.exe
+	@strip -s tuxpaint-config.exe
 	make install \
 		EXE_EXT=.exe \
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-8"; fi ) \
 		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 # "make install" installs all of the various parts
@@ -158,11 +162,12 @@
 # built man page (returns to factory archive, pretty much...)
 
 clean:
-	-rm -f tuxpaint-config tuxpaint-config.exe
-	-rm -f obj/*.o
-	if [ -d obj ]; then rmdir obj; fi
-	-rm -f trans/*.mo
-	if [ -d trans ]; then rmdir trans; fi
+	@echo "Cleaning up the build directory ($(PWD))"
+	@-rm -f tuxpaint-config tuxpaint-config.exe
+	@-rm -f obj/*.o
+	@#if [ -d obj ]; then rmdir obj; fi
+	@-rm -f trans/*.mo
+	@if [ -d trans ]; then rmdir trans; fi
 
 
 # "make uninstall" should remove the various parts from their
@@ -174,9 +179,9 @@
 #	  -rm $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint-config.desktop; \
 #	  -rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
 #	fi
-#	if [ "x$(KDE_PREFIX)" != "x" ]; then \
-#	  -rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
-#	fi
+	if [ "x$(KDE_PREFIX)" != "x" ]; then \
+	  rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
+	fi
 	-rm $(ICON_PREFIX)tuxpaint-config.png
 	-rm $(X11_ICON_PREFIX)tuxpaint-config.xpm
 	-rm $(BIN_PREFIX)/tuxpaint-config
@@ -205,15 +210,15 @@
 install-kde:
 	@echo
 	@echo "...Installing launcher icon into KDE..."
-#	if [ "x$(KDE_PREFIX)" != "x" ]; then \
-#	  install -d $(KDE_PREFIX)/Preferences/; \
-#	  cp src/tuxpaint-config.desktop $(KDE_PREFIX)/Preferences/; \
-#	  chmod 644 $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
-#	fi
+	@if [ "x$(KDE_PREFIX)" != "x" ]; then \
+	  install -d $(KDE_PREFIX)/Preferences/; \
+	  cp src/tuxpaint-config.desktop $(KDE_PREFIX)/Preferences/; \
+	  chmod 644 $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
+	fi
 
 
 install-kde-icons:
-	echo "...Installing launcher icon graphics into KDE..."
+	@echo "...Installing launcher icon graphics into KDE..."
 	@if [ "x$(KDE_ICON_PREFIX)" != "x" ]; then \
 	  cp data/images/icon48x48.png \
 		$(KDE_ICON_PREFIX)/hicolor/48x48/apps/tuxpaint-config.png; \
@@ -230,12 +235,12 @@
 install-icon:
 	@echo
 	@echo "...Installing launcher icon graphics..."
-	install -d $(ICON_PREFIX)
-	cp data/images/icon.png $(ICON_PREFIX)tuxpaint-config.png
-	chmod 644 $(ICON_PREFIX)tuxpaint-config.png
-	install -d $(X11_ICON_PREFIX)
-	cp data/images/icon32x32.xpm $(X11_ICON_PREFIX)tuxpaint-config.xpm
-	chmod 644 $(X11_ICON_PREFIX)tuxpaint-config.xpm
+	@install -d $(ICON_PREFIX)
+	@cp data/images/icon.png $(ICON_PREFIX)tuxpaint-config.png
+	@chmod 644 $(ICON_PREFIX)tuxpaint-config.png
+	@install -d $(X11_ICON_PREFIX)
+	@cp data/images/icon32x32.xpm $(X11_ICON_PREFIX)tuxpaint-config.xpm
+	@chmod 644 $(X11_ICON_PREFIX)tuxpaint-config.xpm
 
 
 # Install the program:
@@ -243,8 +248,8 @@
 install-bin:
 	@echo
 	@echo "...Installing program itself..."
-	cp tuxpaint-config $(BIN_PREFIX)
-	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config$(EXE_EXT)
+	@cp tuxpaint-config $(BIN_PREFIX)
+	@chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config$(EXE_EXT)
 
 
 # Install the data (sound, graphics, fonts):
@@ -252,9 +257,9 @@
 install-data:
 	@echo
 	@echo "...Installing data files..."
-	install -d $(DATA_PREFIX)
-	cp -R data/* $(DATA_PREFIX)
-	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
+	@install -d $(DATA_PREFIX)
+	@cp -R data/* $(DATA_PREFIX)
+	@chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
 
 
 # Install the translated text:
@@ -271,14 +276,16 @@
 	@echo
 	@echo "...Installing documentation..."
 	@echo "(English)"
-	install -d $(DOC_PREFIX)
-	cp docs/AUTHORS.txt $(DOC_PREFIX)
-	cp docs/CHANGES.txt $(DOC_PREFIX)
-	cp docs/COPYING.txt $(DOC_PREFIX)
-	cp docs/README.txt $(DOC_PREFIX)
-	cp docs/TODO.txt $(DOC_PREFIX)
+	@install -d $(DOC_PREFIX)
+	@install -d $(DOC_PREFIX)/html
+	@cp docs/AUTHORS.txt $(DOC_PREFIX)
+	@cp docs/CHANGES.txt $(DOC_PREFIX)
+	@cp docs/COPYING.txt $(DOC_PREFIX)
+	@cp docs/README.txt $(DOC_PREFIX)
+	@cp docs/html/README.html $(DOC_PREFIX)/html
+	@cp docs/TODO.txt $(DOC_PREFIX)
 	@echo "(...Setting permissions)"
-	chmod a+rx,g-w,o-w $(DOC_PREFIX)
+	@chmod -R a+rx,g-w,o-w $(DOC_PREFIX)
 
 
 # Install the man page:
@@ -286,37 +293,42 @@
 install-man:
 	@echo "...Installing man pages..."
 	# man1 directory...
-	install -d $(MAN_PREFIX)/man1/
+	@install -d $(MAN_PREFIX)/man1/
 	# tuxpaint-config.1
-	cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
-	gzip -9f $(MAN_PREFIX)/man1/tuxpaint-config.1
-	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
+	@cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
+	@gzip -9f $(MAN_PREFIX)/man1/tuxpaint-config.1
+	@chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
 
 
 # Build the program!
 
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
 			obj/defaults.o $(ARCH_LIBS)
-	$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
+	@echo Linking
+	@$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
 			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
-			$(FLTK_LIBS) $(ARCH_LINKS)
+			$(FLTK_LIBS) $(ARCH_LINKS) $(PAPER_LIB)
 
 
 # Build the object for the program!
 
-obj/tuxpaint-config.o:	src/tuxpaint-config.cxx obj src/version.h src/about.h
-	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
-
-obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx obj src/version.h src/about.h
-	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
-
-obj/defaults.o:	src/defaults.cxx obj
-	$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
-
-obj/win32utils.o: src/win32utils.cxx obj src/win32utils.h
-	$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
-
-obj/resource.o:	visualc/resource.rc obj visualc/resource.h
+obj/tuxpaint-config.o:	src/tuxpaint-config.cxx src/version.h src/about.h
+	@echo Compiling tuxpaint-config.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
+
+obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx src/version.h src/about.h
+	@echo Compiling tuxpaint-config2.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
+
+obj/defaults.o:	src/defaults.cxx
+	@echo Compiling defaults.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
+
+obj/win32utils.o: src/win32utils.cxx src/win32utils.h
+	@echo Compiling win32utils.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+
+obj/resource.o:	visualc/resource.rc visualc/resource.h
 	@echo
 	@echo "...Compiling win32 resources..."
 	@windres -i visualc/resource.rc -o obj/resource.o
@@ -327,11 +339,11 @@
 translations:	trans
 
 trans:
-	mkdir trans
+	@mkdir trans
 
 
 # Make the "obj" directory to throw the object(s) into:
 
 obj:
-	mkdir obj
-
+	@mkdir obj
+
