=== docs/Makefile ===
# Makefile for Tux Paint Config docs
# 
# Uses "links" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
# 
# Sept. 9, 2006 - Sept. 9, 2006
# $Id: Makefile,v 1.1 2006/09/10 19:49:09 wkendrick Exp $

LINKS=links -dump -no-numbering -no-references

all:	README.txt

clean:
	-rm README.txt

README.txt:	html/README.html
	$(LINKS) $< > $@
