## tuxpaint-config 0.0.10

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - July 1, 2007
-# $Id: Makefile,v 1.28 2007/07/01 15:04:49 wkendrick Exp $
-
-
-VER_VERSION=0.0.8
+# November 12, 2002 - January 30, 2008
+# $Id: Makefile,v 1.32 2008/01/30 20:46:42 wkendrick Exp $
+
+
+VER_VERSION=0.0.10
 VER_DATE=`date +"%Y-%m-%d"`
