## tuxpaint-config 0.0.12

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - January 30, 2008
-# $Id: Makefile,v 1.32 2008/01/30 20:46:42 wkendrick Exp $
-
-
-VER_VERSION=0.0.10
+# November 12, 2002 - May 28, 2009
+# $Id: Makefile,v 1.38 2009/05/28 22:08:08 wkendrick Exp $
+
+
+VER_VERSION=0.0.12
 VER_DATE=`date +"%Y-%m-%d"`
 
 
@@ -53,9 +53,9 @@
 
 ICON_PREFIX=$(PREFIX)/share/pixmaps/
 X11_ICON_PREFIX=$(PREFIX)/X11R6/include/X11/pixmaps/
-GNOME_PREFIX=`gnome-config --prefix`
-KDE_PREFIX=`kde-config --install apps --expandvars`
-KDE_ICON_PREFIX=`kde-config --install icon --expandvars`
+GNOME_PREFIX=$(shell gnome-config --prefix 2> /dev/null)
+KDE_PREFIX=$(shell kde-config --install apps --expandvars 2> /dev/null)
+KDE_ICON_PREFIX=$(shell kde-config --install icon --expandvars 2> /dev/null)
 
 
 # Locale files
@@ -71,9 +71,16 @@
 
 # Libraries, paths, and flags:
 
+# FIXME: UTF-8 required for translations; we need to see if we can
+# use fltk-utf8 (and fallback to regular fltk, if not).
+# I did not have luck using fltk-utf8, even in English, though :(
+# -bjk 2008.07.16
+#FLTK_CFLAGS=`fltk-utf8-config --cxxflags`
+#FLTK_LIBS=`fltk-utf8-config --ldflags`
+
 FLTK_CFLAGS=`fltk-config --cxxflags`
-#FLTK_LIBS=`fltk-config --ldstaticflags`
 FLTK_LIBS=`fltk-config --ldflags`
+
 PAPER_LIB=-lpaper
 
 # Default CFLAGS:
@@ -175,11 +182,11 @@
 # are the same as they were when you installed, of course!!!
 
 uninstall:
-#	if [ "x$(GNOME_PREFIX)" != "x" ]; then \
-#	  -rm $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint-config.desktop; \
-#	  -rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
-#	fi
-	if [ "x$(KDE_PREFIX)" != "x" ]; then \
+	-if [ "x$(GNOME_PREFIX)" != "x" ]; then \
+	  rm $(GNOME_PREFIX)/share/applications/tuxpaint-config.desktop; \
+	  rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
+	fi
+	-if [ "x$(KDE_PREFIX)" != "x" ]; then \
 	  rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
 	fi
 	-rm $(ICON_PREFIX)tuxpaint-config.png
@@ -190,19 +197,19 @@
 	-rm $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
 
 
-# Install a launcher icon in the Gnome menu, under "???"
+# Install a launcher icon in the Gnome menu, under "Graphhics"
 
 install-gnome:
-#	@echo
-#	@echo "...Installing launcher icon into GNOME..."
-#	if [ "x$(GNOME_PREFIX)" != "x" ]; then \
-#	 install -d $(GNOME_PREFIX)/share/pixmaps; \
-#	 cp data/images/icon.png $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
-#	 chmod 644 $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
-#	 install -d $(GNOME_PREFIX)/share/gnome/apps/Graphics; \
-#	 cp src/tuxpaint.desktop $(GNOME_PREFIX)/share/gnome/apps/Graphics/; \
-#	 chmod 644 $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint.desktop; \
-#	fi
+	@echo
+	@echo "...Installing launcher icon into GNOME..."
+	@if [ "x$(GNOME_PREFIX)" != "x" ]; then \
+  	  install -d $(GNOME_PREFIX)/share/pixmaps; \
+	  cp data/images/icon.png $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
+	  chmod 644 $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
+	  install -d $(GNOME_PREFIX)/share/applications; \
+	  cp src/tuxpaint-config.desktop $(GNOME_PREFIX)/share/applications/; \
+	  chmod 644 $(GNOME_PREFIX)/share/applications/tuxpaint-config.desktop; \
+	fi
 
 
 # Install a launcher icon in the KDE menu...
@@ -260,14 +267,6 @@
 	@install -d $(DATA_PREFIX)
 	@cp -R data/* $(DATA_PREFIX)
 	@chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
-
-
-# Install the translated text:
-
-install-gettext:
-	@echo
-	@echo "...Installing translation files..."
-
 
 
 # Install the text documentation:
@@ -305,7 +304,7 @@
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
 			obj/defaults.o $(ARCH_LIBS)
 	@echo Linking
-	@$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
+	$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
 			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
 			$(FLTK_LIBS) $(ARCH_LINKS) $(PAPER_LIB)
 
@@ -314,19 +313,19 @@
 
 obj/tuxpaint-config.o:	src/tuxpaint-config.cxx src/version.h src/about.h
 	@echo Compiling tuxpaint-config.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
 
 obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx src/version.h src/about.h
 	@echo Compiling tuxpaint-config2.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
 
 obj/defaults.o:	src/defaults.cxx
 	@echo Compiling defaults.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
+	$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
 
 obj/win32utils.o: src/win32utils.cxx src/win32utils.h
 	@echo Compiling win32utils.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+	$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
 
 obj/resource.o:	visualc/resource.rc visualc/resource.h
 	@echo
@@ -334,11 +333,61 @@
 	@windres -i visualc/resource.rc -o obj/resource.o
 
 
+# Translation stuff:
+
+POFILES:=$(wildcard src/po/*.po)
+MOFILES:=$(patsubst src/po/%.po,trans/%.mo,$(POFILES))
+INSTALLED_MOFILES:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo,$(MOFILES))
+
+$(INSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo: trans/%.mo
+	install -D -m 644 $< $@
+
+.PHONY: uninstall-i18n
+uninstall-i18n:
+	-rm $(LOCALE_PREFIX)/*/LC_MESSAGES/tuxpaint-config.mo
+
+
+# Install the translated text:
+# We can install *.mo files if they were already generated, or if it can be
+# generated from the *.po files.  The *.mo files can be generated from the
+# *.po files if we have the converter program, msgfmt, installed in the
+# system.  So we test for both and install them if either case is found
+# to be true.  If neither case is found to be true, we'll just install
+# Tux Paint without the translation files.
+.PHONY: install-gettext
+ifeq "$(wildcard trans/*.mo)$(shell msgfmt -h)" ""
+install-gettext:
+	@echo
+	@echo "--------------------------------------------------------------"
+	@echo "Cannot install translation files because no translation files"
+	@echo "were found (trans/*.mo) and the 'msgfmt' program is not installed."
+	@echo "You will not be able to run Tux Paint in non-U.S. English modes."
+	@echo "--------------------------------------------------------------"
+else
+install-gettext: $(INSTALLED_MOFILES)
+endif
+
+
 # Build the translation files for gettext
 
-translations:	trans
+$(MOFILES): trans/%.mo: src/po/%.po
+	msgfmt -o $@ $<
+
+.PHONY: translations
+ifeq "$(shell msgfmt -h)" ""
+translations: trans
+	@echo "--------------------------------------------------------------"
+	@echo "Cannot find program 'msgfmt'!"
+	@echo "No translation files will be prepared."
+	@echo "Install gettext to run Tux Paint in non-U.S. English modes."
+	@echo "--------------------------------------------------------------"
+else
+translations: trans $(MOFILES)
+endif
 
 trans:
+	@echo
+	@echo "...Preparing translation files..."
 	@mkdir trans
