=== docs/Makefile ===
--- 
+++ 
@@ -7,10 +7,11 @@
 # Bill Kendrick
 # bill@newbreedsoftware.com
 # 
-# Sept. 9, 2006 - Sept. 9, 2006
-# $Id: Makefile,v 1.1 2006/09/10 19:49:09 wkendrick Exp $
+# Sept. 9, 2006 - July 14, 2008
+# $Id: Makefile,v 1.2 2008/07/14 20:50:50 wkendrick Exp $
 
-LINKS=links -dump -no-numbering -no-references
+#LINKS=links -dump -no-numbering -no-references
+LINKS=links -dump
 
 all:	README.txt
