## tuxpaint-config 0.0.13

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - May 28, 2009
-# $Id: Makefile,v 1.38 2009/05/28 22:08:08 wkendrick Exp $
-
-
-VER_VERSION=0.0.12
+# November 12, 2002 - July 6, 2009
+# $Id: Makefile,v 1.39 2009/07/06 16:21:09 wkendrick Exp $
+
+
+VER_VERSION=0.0.13
 VER_DATE=`date +"%Y-%m-%d"`
