=== debian/changelog ===
tuxpaint-config (0.0.13-1) unstable; urgency=low

  * New upstream release. (Closes: #626782, #722947)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Include watch file, thanks to Daniel Liedert <daniel.leidert@wgdd.de>.
    (Closes: #549385).
  * Update watch file to new location.
  * Update to current standards.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 26 Oct 2014 09:53:13 -0300

tuxpaint-config (0.0.12-3) unstable; urgency=low

  * Eliminate non-literal format string. (Closes: #652175)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 19 Dec 2011 05:50:56 -0400

tuxpaint-config (0.0.12-2) unstable; urgency=low

  * Remove redundant desktop file.  (Closes: #498927)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 16 Oct 2009 09:30:06 -0300

tuxpaint-config (0.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 09 Aug 2009 12:20:30 -0300

tuxpaint-config (0.0.10-1) unstable; urgency=low

  * New upstream release.
  * Install desktop file to opendesktop location.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 08 Jun 2008 14:41:23 -0300

tuxpaint-config (0.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 03 Jul 2007 22:12:27 -0300

tuxpaint-config (0.0.7+0.0.8rc1-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 30 Jun 2007 17:46:26 -0300

tuxpaint-config (0.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 22 Oct 2006 12:00:14 -0300

tuxpaint-config (0.0.6+0.0.7rc5-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 15 Oct 2006 11:05:04 -0300

tuxpaint-config (0.0.6-2) unstable; urgency=low

  * Fixed X11 dependencies (thanks, Matt Kraai) (Closes: #356274)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  2 Apr 2006 10:28:04 -0300

tuxpaint-config (0.0.6-1) unstable; urgency=low

  * New upstream release.
  * Fix missing menu entry.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 21 Jan 2006 19:06:41 -0400

tuxpaint-config (0.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 10:26:42 -0300
