=== debian/control ===
Source: tuxpaint-config
Section: graphics
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Build-Depends: debhelper (>= 5.0.0), libfltk1.3-dev, libxft-dev, libxinerama-dev, libpaper-dev
Standards-Version: 3.9.6

Package: tuxpaint-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tuxpaint (= 1:0.9.22)
Conflicts: tuxpaint (<< 1:0.9.22)
Description: Configuration tool for Tux Paint
 Tux Paint has a rich set of configuration options, controllable via
 command-line options or configuration files.  This configuration tool
 provides a point-and-click interface for administrators to tailor Tux
 Paint to suit the needs of their users.
