=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tuxpaint-config.
	$(MAKE) install \
	  PREFIX=$(CURDIR)/debian/tuxpaint-config/usr \
          CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr \
	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr/share/applnk \
	  KDE_ICON_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr/share/icons \
	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr/share/pixmaps/
	# Cleanup after install
	rm $(CURDIR)/debian/tuxpaint-config/usr/share/doc/tuxpaint-config/CHANGES.txt
	rm $(CURDIR)/debian/tuxpaint-config/usr/share/doc/tuxpaint-config/COPYING.txt
	# install desktop file to freedesktop default directory
	install -m 664 $(CURDIR)/src/tuxpaint-config.desktop \
	  $(CURDIR)/debian/tuxpaint-config/usr/share/applications
	# remove redundant desktop file from old KDE location
	rm $(CURDIR)/debian/tuxpaint-config/usr/share/applnk/Preferences/tuxpaint-config.desktop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/CHANGES.txt
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
