=== debian/watch ===
version=2
ftp://ftp.tuxpaint.org/unix/x/tuxpaint/config/tuxpaint-config-(\d\.\d+\.\d+.*)\.tar.gz debian uupdate
