## tuxpaint-config 0.0.14

=== Makefile ===
--- 
+++ 
@@ -3,19 +3,19 @@
 # Tux Paint Configuration Tool - A GUI-based configurator for
 #                              Tux Paint, a simple drawing program for children.
 
-# Torsten Giebl <wizard@turricane.org>
-# Jan Wynholds
-# Bill Kendrick <bill@newbreedsoftware.com>
-# Martin Fuhrer <mfuhrer@gmail.com>
-
+# Copyright 2002-2018 by various contributors; see AUTHORS.txt
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - July 6, 2009
-# $Id: Makefile,v 1.39 2009/07/06 16:21:09 wkendrick Exp $
-
-
-VER_VERSION=0.0.13
-VER_DATE=`date +"%Y-%m-%d"`
+# November 12, 2002 - August 28, 2018
+# $Id$
+
+
+VER_VERSION=0.0.14
+ifdef SOURCE_DATE_EPOCH
+       VER_DATE=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%Y-%m-%d" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+%Y-%m-%d" 2>/dev/null || date -u "+%Y-%m-%d")
+else
+       VER_DATE=$(shell date "+%Y-%m-%d")
+endif
 
 
 # Where to install things:
@@ -117,7 +117,7 @@
 	@echo
 	@mkdir -p build/tuxpaint-config-$(VER_VERSION)
 	@find . -follow \
-		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
+		\( -wholename '*/.git' -o -name .gitignore -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
 		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-config-$(VER_VERSION)/ \;
 
 release: releasedir
@@ -128,6 +128,36 @@
 		tar -czvf tuxpaint-config-$(VER_VERSION).tar.gz \
 		tuxpaint-config-$(VER_VERSION)
 
+macos: .
+	make \
+		PREFIX=./TuxPaint-Config.app/Contents/Resources \
+		CFLAGS="-mmacosx-version-min=10.7 -isystem /opt/local/include -DHAVE_STRCASESTR -w -headerpad_max_install_names -Wall -O2" \
+		ARCH_LINKS=-lintl
+
+install-macos: .
+	@echo
+	@echo "...Installing App Bundle Support Files..."
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/MacOS
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/share
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/doc
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/man
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/locale
+	@make install \
+		BIN_PREFIX=./TuxPaint-Config.app/Contents/MacOS \
+		PREFIX=./TuxPaint-Config.app/Contents/Resources \
+		DATA_PREFIX=./TuxPaint-Config.app/Contents/Resources/share/ \
+		DOC_PREFIX=./TuxPaint-Config.app/Contents/Resources/doc/ \
+		MAN_PREFIX=./TuxPaint-Config.app/Contents/Resources/man/ \
+		LOCALE_PREFIX=./TuxPaint-Config.app/Contents/Resources/locale \
+		CONFDIR="/Library/Application Support/TuxPaint" \
+		ARCH_LINKS=-lintl
+	@install -m 644 macos/PkgInfo ./TuxPaint-Config.app/Contents
+	@install -m 644 macos/Info.plist ./TuxPaint-Config.app/Contents
+	@install -m 644 macos/tuxpaint.icns ./TuxPaint-Config.app/Contents/Resources
+	@macos/build-app.sh
+	@echo
+	@echo "...Creating DMG Distribution File..."
+	@macos/build-dmg.sh
 
 win32:
 	make \
@@ -175,6 +205,7 @@
 	@#if [ -d obj ]; then rmdir obj; fi
 	@-rm -f trans/*.mo
 	@if [ -d trans ]; then rmdir trans; fi
+	@-rm -rf TuxPaint-Config.app TuxPaint-Config.dmg
 
 
 # "make uninstall" should remove the various parts from their
@@ -338,9 +369,13 @@
 POFILES:=$(wildcard src/po/*.po)
 MOFILES:=$(patsubst src/po/%.po,trans/%.mo,$(POFILES))
 INSTALLED_MOFILES:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo,$(MOFILES))
+INSTALLED_MODIRS:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES,$(MOFILES))
+
+$(INSTALLED_MODIRS): $(LOCALE_PREFIX)/%/LC_MESSAGES: trans/%.mo
+	install -d -m 755 $@
 
 $(INSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo: trans/%.mo
-	install -D -m 644 $< $@
+	install -m 644 $< $@
 
 .PHONY: uninstall-i18n
 uninstall-i18n:
@@ -358,41 +393,3 @@
 ifeq "$(wildcard trans/*.mo)$(shell msgfmt -h)" ""
 install-gettext:
 	@echo
-	@echo "--------------------------------------------------------------"
-	@echo "Cannot install translation files because no translation files"
-	@echo "were found (trans/*.mo) and the 'msgfmt' program is not installed."
-	@echo "You will not be able to run Tux Paint in non-U.S. English modes."
-	@echo "--------------------------------------------------------------"
-else
-install-gettext: $(INSTALLED_MOFILES)
-endif
-
-
-# Build the translation files for gettext
-
-$(MOFILES): trans/%.mo: src/po/%.po
-	msgfmt -o $@ $<
-
-.PHONY: translations
-ifeq "$(shell msgfmt -h)" ""
-translations: trans
-	@echo "--------------------------------------------------------------"
-	@echo "Cannot find program 'msgfmt'!"
-	@echo "No translation files will be prepared."
-	@echo "Install gettext to run Tux Paint in non-U.S. English modes."
-	@echo "--------------------------------------------------------------"
-else
-translations: trans $(MOFILES)
-endif
-
-trans:
-	@echo
-	@echo "...Preparing translation files..."
-	@mkdir trans
-
-
-# Make the "obj" directory to throw the object(s) into:
-
-obj:
-	@mkdir obj
-
