=== docs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # bill@newbreedsoftware.com
 # 
 # Sept. 9, 2006 - July 14, 2008
-# $Id: Makefile,v 1.2 2008/07/14 20:50:50 wkendrick Exp $
+# $Id$
 
 #LINKS=links -dump -no-numbering -no-references
 LINKS=links -dump
