=== debian/changelog ===
tuxpaint-config (0.0.14-1) unstable; urgency=medium

  * New upstream release
  * Update copyright file
  * Update debian-jr uploader team e-mail address
    (Closes: #899291)
  * Update standards version to 4.2.1
  * debian/control: wrap-and-sort
  * Drop reproducible-builds patch (applied upstream)

 -- Jonathan Carter <jcc@debian.org>  Tue, 11 Sep 2018 09:33:36 +0200

tuxpaint-config (0.0.13-8) unstable; urgency=medium

  * Move git repository to salsa.debian.org
  * Update standards version to 4.1.3
  * Update compat level to 11
  * Add Debian Junior team to uploaders

 -- Jonathan Carter <jcc@debian.org>  Wed, 14 Feb 2018 11:53:42 +0200

tuxpaint-config (0.0.13-7) unstable; urgency=medium

  * Fix parallel builds (Closes: #879042)

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 15:07:32 +0200

tuxpaint-config (0.0.13-6) unstable; urgency=medium

  * Update standards version to 4.1.1
    - Update copyright file to copyright format 1.0
    - Remove obsolete menu file
    - Remove obsolete -k from dh_clean
    - Set hardening=+all
    - Remove ancient conflicts
  * Fix spelling mistakes in man page
  * debian/rules:
    - Remove boilerplate text
  * Add -fpic for x32

 -- Jonathan Carter <jcc@debian.org>  Mon, 30 Oct 2017 09:20:13 +0200

tuxpaint-config (0.0.13-5) unstable; urgency=medium

  * Fix cross-builds (Closes: #878365)

 -- Jonathan Carter <jcc@debian.org>  Sat, 28 Oct 2017 22:11:39 +0200

tuxpaint-config (0.0.13-4) unstable; urgency=medium

  * Adopting package (Closes: #848989)
  * Remove boilerplate from include-standard-flags patch
  * Update compat to 10
  * Update copyright file to copyright-format 1.0
  * debian/rules:
     - Remove boilerplate comments from debian/rules
     - Set DEB_BUILD_MAINT_OPTIONS=hardening=+all
     - Use build architecture toolchain (Closes: #878365)
  * debian/control:
     - Remove ancient Conflicts
     - Update standards version to 4.1.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 Oct 2017 15:08:25 +0200

tuxpaint-config (0.0.13-3) unstable; urgency=medium

  * QA upload.
  * Imported source into a gbp repo in collab-maint.
  * Removed empty /usr/share/applnk/ from binary package.
  * Changed Standards-Version from 3.9.6 to 4.1.0.
  * Added homepage link to d/control.
  * Removed obsolete menu file.
  * Changed to debhelper level 9.
  * Added gbp.conf file to enfore use of pristine-tar.
  * Added watch file pointing to sourceforge.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Aug 2017 13:31:19 +0200

tuxpaint-config (0.0.13-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #848989)
  * Add patch from Chris Lamb to make the build reproducible.
    (Closes:  #834780)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 01:48:06 +0200
