=== debian/rules ===
--- 
+++ 
@@ -1,35 +1,29 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DH_ALWAYS_EXCLUDE=CVS
 
-export DH_ALWAYS_EXCLUDE=CVS
+ifeq ($(shell uname --machine), x86_32)
+   CFLAGS += -fPIC
+   CXXFLAGS += -fPIC
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) PREFIX=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_build -- PREFIX=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch build-stamp
 
@@ -41,12 +35,12 @@
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tuxpaint-config.
@@ -65,6 +59,8 @@
 	  $(CURDIR)/debian/tuxpaint-config/usr/share/applications
 	# remove redundant desktop file from old KDE location
 	rm $(CURDIR)/debian/tuxpaint-config/usr/share/applnk/Preferences/tuxpaint-config.desktop
+	rmdir $(CURDIR)/debian/tuxpaint-config/usr/share/applnk/Preferences
+	rmdir $(CURDIR)/debian/tuxpaint-config/usr/share/applnk
 
 # Build architecture-independent files here.
 binary-indep: build install
